% Get NIA accession numbers for a list of genes.

function [] = get_nia_accessions(all_accss_file, ...
                                 gene_list_file, ...
                                 output_accss_file)

all_accss = textread(all_accss_file, '%s');
gene_list = load(gene_list_file);

n_genes      = size(gene_list, 1);
subset_accss = cell(n_genes, 2);

[fid, msg] = fopen(output_accss_file, 'w');

if (fid ~= -1)
    for i = 1:n_genes
        fprintf(fid, '%s\t%s\n', num2str(gene_list(i)), all_accss{gene_list(i)});
    end

    fclose(fid);
else
    disp(msg);
end
