% Generate a graph of relationships between GO terms and their ancestors.

function [] = view_GO_graph(go_ids_file, ...
                            use_ancestors)

global go_obj;

go_ids = load(go_ids_file);
go_obj = geneont('LIVE', true);

% With or without ancestors
if (use_ancestors)
    anc_ids = getancestors(go_obj, go_ids);
    sub_go_obj = go_obj(anc_ids);
else
    sub_go_obj = go_obj(go_ids);
end

[conn_mat sub_go_ids rel_ships] = getmatrix(sub_go_obj);

bg = biograph(conn_mat, get(sub_go_obj.Terms, 'name'));
view(bg);
